AjaxCommandRendererBase (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.ajax4jsf.renderkit.AjaxCommandRendererBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit
Class AjaxCommandRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.ajax4jsf.renderkit.AjaxComponentRendererBase
                      org.ajax4jsf.renderkit.AjaxCommandRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  AjaxFunctionRendererBase, AjaxPollRenderer, AjaxPushRenderer, AjaxSupportRenderer, CommandButtonRenderer, CommandLinkRenderer

    public abstract class AjaxCommandRendererBase

extends org.ajax4jsf.renderkit.AjaxComponentRendererBase

Version:
  $Revision: 1.1.2.3 $ $Date: 2007/02/12 17:46:53 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`AjaxCommandRendererBase()`

Method Summary
`protected void` | `doDecode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getOnClick(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getType(javax.faces.component.UIComponent uiComponent)`
`java.lang.Object` | `getValue(javax.faces.component.UIComponent uiComponent)`
`protected boolean` | `isSubmitted(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase
`getAdditionalScripts, getScripts`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer
`getHeaderScripts, getHeaderStyles`

Constructor Detail

### AjaxCommandRendererBase

    public AjaxCommandRendererBase()

Method Detail

### doDecode

    protected void doDecode(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)

  Overrides:
    `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

### getOnClick

    public java.lang.String getOnClick(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component)

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### getValue

    public java.lang.Object getValue(javax.faces.component.UIComponent uiComponent)

### getType

    public java.lang.String getType(javax.faces.component.UIComponent uiComponent)

### isSubmitted

    protected boolean isSubmitted(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent uiComponent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.